play.utils

## Class ImmediateFuture

- java.lang.Object
- - play.utils.ImmediateFuture

All Implemented Interfaces:
  java.util.concurrent.Future<java.lang.Boolean>

    public final class ImmediateFuture
    extends java.lang.Object
    implements java.util.concurrent.Future<java.lang.Boolean>

### Constructor Summary

Constructors
Constructor and Description
`ImmediateFuture()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cancel(boolean mayInterruptIfRunning)`
`java.lang.Boolean` `get()`
`java.lang.Boolean` `get(long timeout, java.util.concurrent.TimeUnit unit)`
`boolean` `isCancelled()`
`boolean` `isDone()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImmediateFuture

    public ImmediateFuture()

### Method Detail

#### cancel

    public boolean cancel(boolean mayInterruptIfRunning)

Specified by:
  `cancel` in interface `java.util.concurrent.Future<java.lang.Boolean>`

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `java.util.concurrent.Future<java.lang.Boolean>`

#### isDone

    public boolean isDone()

Specified by:
  `isDone` in interface `java.util.concurrent.Future<java.lang.Boolean>`

#### get

    public java.lang.Boolean get()
                          throws java.lang.InterruptedException,
                                 java.util.concurrent.ExecutionException

Specified by:
  `get` in interface `java.util.concurrent.Future<java.lang.Boolean>`
Throws:
  `java.lang.InterruptedException`
  `java.util.concurrent.ExecutionException`

#### get

    public java.lang.Boolean get(long timeout,
                                 java.util.concurrent.TimeUnit unit)
                          throws java.lang.InterruptedException,
                                 java.util.concurrent.ExecutionException,
                                 java.util.concurrent.TimeoutException

Specified by:
  `get` in interface `java.util.concurrent.Future<java.lang.Boolean>`
Throws:
  `java.lang.InterruptedException`
  `java.util.concurrent.ExecutionException`
  `java.util.concurrent.TimeoutException`